import 'package:json_annotation/json_annotation.dart';

part 'notificationSettings.g.dart';

@JsonSerializable()
class NotificationSettings {
  bool askUsageDismissed;
  bool enabled;

  NotificationSettings({required this.askUsageDismissed, required this.enabled});

  factory NotificationSettings.fromJson(Map<String, dynamic> json) => _$NotificationSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$NotificationSettingsToJson(this);
}
